### Method

# Gtk MediaFile set_resource

#### Declaration [src]

    void
    gtk_media_file_set_resource (
      GtkMediaFile* self,
      const char* resource_path
    )

#### Description [src]

Sets the `GtkMediaFile` to play the given resource.

This is a utility function that converts the given `resource_path` to a `GFile` and calls `gtk_media_file_set_file()`.

#### Parameters

`resource_path`

  Type: `const char*`

  Path to resource to play.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.